summaryrefslogtreecommitdiffstats
path: root/meta-agl/templates/machine/ebisu/50_setup.sh
diff options
context:
space:
mode:
authorToshikazuOhiwa <toshikazu_ohiwa@mail.toyota.co.jp>2020-03-30 09:24:26 +0900
committerToshikazuOhiwa <toshikazu_ohiwa@mail.toyota.co.jp>2020-03-30 09:24:26 +0900
commit5b80bfd7bffd4c20d80b7c70a7130529e9a755dd (patch)
treeb4bb18dcd1487dbf1ea8127e5671b7bb2eded033 /meta-agl/templates/machine/ebisu/50_setup.sh
parent706ad73eb02caf8532deaf5d38995bd258725cb8 (diff)
agl-basesystem
Diffstat (limited to 'meta-agl/templates/machine/ebisu/50_setup.sh')
-rw-r--r--meta-agl/templates/machine/ebisu/50_setup.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/meta-agl/templates/machine/ebisu/50_setup.sh b/meta-agl/templates/machine/ebisu/50_setup.sh
new file mode 100644
index 00000000..c8471ae0
--- /dev/null
+++ b/meta-agl/templates/machine/ebisu/50_setup.sh
@@ -0,0 +1,42 @@
+# setup proprietary gfx drivers and multimedia packages
+pushd $METADIR 2>/dev/null
+
+COPY_SCRIPT="$METADIR/bsp/meta-renesas-rcar-gen3/meta-rcar-gen3/docs/sample/copyscript/copy_proprietary_softwares.sh"
+EXTRACT_DIR=$METADIR/binary-tmp
+#EBISU_BIN_PATH should contain the path where the .zip archive of E3 binaries is.
+#CUSTOM_RENESAS_CONFIG_SCRIPT should contain the custom script needed for setup. If not filled, do not failed, just warn.
+
+# Check the ebisu binaries path
+if [[ ! -d $EBISU_BIN_PATH ]] || [[ $EBISU_BIN_PATH == "" ]]; then
+ echo "ERROR: E3 Binary path not valid."
+ echo "HELP: Export the path where the E3 Binaries ZIP file is into 'EBISU_BIN_PATH' then launch the setup again."
+ echo "HELP: Example: '$ export EBISU_BIN_PATH=`pwd`/ebisu_binaries'"
+ exit 1
+else
+ [ -z "$(ls -A $EBISU_BIN_PATH)" ] && echo "ERROR: $EBISU_BIN_PATH is empty. Add the E3 Binaries ZIP file inside and try again." && exit 1
+fi
+
+if [ -f $COPY_SCRIPT ]; then
+ # Extract the ZIP into the tmp directory
+ mkdir -p $EXTRACT_DIR
+ unzip -q -o $EBISU_BIN_PATH/*.zip -d $EXTRACT_DIR
+
+ cd $METADIR/bsp/meta-renesas-rcar-gen3/
+ $COPY_SCRIPT $EXTRACT_DIR
+ cd ..
+
+ # Clean temp dir
+ rm -r $EXTRACT_DIR
+else
+ echo "ERROR: Script to copy Renesas proprietary drivers for $MACHINE not found. No additionnal setup to do."
+ exit 1
+fi
+
+if [[ ! -z $CUSTOM_RENESAS_CONFIG_SCRIPT ]] && [[ -f $CUSTOM_RENESAS_CONFIG_SCRIPT ]]; then
+ echo "Launching Renesas custom setup script ($CUSTOM_RENESAS_CONFIG_SCRIPT)..."
+ $CUSTOM_RENESAS_CONFIG_SCRIPT
+else
+ echo "WARNING: Renesas custom setup script for $MACHINE not found."
+fi
+
+popd 2>/dev/null